
/*
 * Copyright (C) 2024 Web Server LLC
 */


#ifndef _NGX_WASM_EVENT_H_INCLUDED_
#define _NGX_WASM_EVENT_H_INCLUDED_


#include <ngx_config.h>
#include <ngx_core.h>
#include <ngx_event.h>


extern ngx_wasm_handle_ops_t ngx_wasm_event_ops[];

#define NGX_WASM_EV_READABLE     0x1
#define NGX_WASM_EV_WRITABLE     0x2
#define NGX_WASM_EV_ERROR        0x4
#define NGX_WASM_EV_TIMEDOUT     0x8
#define NGX_WASM_EV_EOF          0x10

#endif /* _NGX_WASM_EVENT_H_INCLUDED_ */
