
/*
 * Copyright (C) 2024 Web Server LLC
 */


#ifndef _NGX_WASM_FILTER_OPS_H_INCLUDED_
#define _NGX_WASM_FILTER_OPS_H_INCLUDED_


#include <ngx_config.h>
#include <ngx_core.h>
#include <ngx_wasm.h>


/* all that filter needs to know */
typedef struct {
    ngx_chain_t       *in;
    ngx_chain_t      **freep;
    ngx_chain_t      **outp;
    ngx_buf_tag_t      tag;
} ngx_wasm_filter_env_t;


extern ngx_wasm_handle_ops_t ngx_wasm_filter_ops[];


#endif /* _NGX_WASM_FILTER_OPS_H_INCLUDED_ */
