
/*
 * Copyright (C) 2024 Web Server LLC
 */


#ifndef _NGX_WASM_CALL_ENV_H_INCLUDED_
#define _NGX_WASM_CALL_ENV_H_INCLUDED_


#include <ngx_config.h>
#include <ngx_core.h>
#include <ngx_wasm.h>


extern ngx_wasm_handle_ops_t ngx_wasm_call_env_ops[];

typedef struct {
    int32_t        fd;
    ngx_array_t   *args;   /* of ngx_kv_t or ngx_str_t */
    ngx_str_t     *result;
    uint32_t      *state;
} ngx_wasm_call_env_t;


#endif /* _NGX_WASM_CALL_ENV_H_INCLUDED_ */
